mav_paletteLightSet(3)

NAME
mav_paletteLightSet - Define a light.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteLightSet(MAV_palette *p, int index, float ar, float ag, float ab, float aa, float dr, float dg, float db, float da, float sr, float sg, float sb, float sa);

ARGUMENTS

MAV_palette *p
    Palette to set.

int index
    Index into lights table, in range 0..mav_opt_maxLights (default 5).

float ar,
    RGBA components of ambient colour (0.0 - 1.0)

float dr,
    RGBA components of diffuse colour (0.0 - 1.0)

float sr,
    RGBA components of specular colour (0.0 - 1.0)

DESCRIPTION
This function sets the colour specification of the light at entry index in the light table of palette p.